Entities
List Entities
Lists all entities
GET
/
api
/
v1
/
entities
List entities
curl --request GET \
--url https://api.passentry.com/api/v1/entities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.passentry.com/api/v1/entities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.passentry.com/api/v1/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "0d10c850",
"type": "entity",
"attributes": {
"name": "PassEntry Fitness Centre",
"passDeeplinks": {
"apple": "shoebox://pass/pass.com.test.test/{PASSENTRY_PASS_UUID}",
"google": "https://pay.google.com/gp/v/object/3388000000022258457.{PASSENTRY_PASS_UUID}"
}
}
},
{
"id": "0d10c84f",
"type": "entity",
"attributes": {
"name": "PassEntry Coffee",
"passDeeplinks": {
"apple": "shoebox://pass/pass.com.test.test/{PASSENTRY_PASS_UUID}",
"google": "https://pay.google.com/gp/v/object/3388000000022258457.{PASSENTRY_PASS_UUID}"
}
}
},
{
"id": "0d10c84e",
"type": "entity",
"attributes": {
"name": "PassEntry Supermarket",
"passDeeplinks": {
"apple": "shoebox://pass/pass.com.test.test/{PASSENTRY_PASS_UUID}",
"google": "https://pay.google.com/gp/v/object/3388000000022258457.{PASSENTRY_PASS_UUID}"
}
}
}
],
"meta": {
"totalCount": 3,
"resultsPerPage": 25,
"currentPage": 1,
"totalPages": 1
},
"links": {
"first": null,
"prev": null,
"next": null,
"last": null
}
}{
"errors": [
"Access denied"
]
}Was this page helpful?
⌘I
List entities
